package com.fs.store.mapper;

import java.util.List;
import com.fs.store.domain.FsUserRecharge;

/**
 * 用户充值Mapper接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface FsUserRechargeMapper 
{
    /**
     * 查询用户充值
     * 
     * @param id 用户充值ID
     * @return 用户充值
     */
    public FsUserRecharge selectFsUserRechargeById(Long id);

    /**
     * 查询用户充值列表
     * 
     * @param fsUserRecharge 用户充值
     * @return 用户充值集合
     */
    public List<FsUserRecharge> selectFsUserRechargeList(FsUserRecharge fsUserRecharge);

    /**
     * 新增用户充值
     * 
     * @param fsUserRecharge 用户充值
     * @return 结果
     */
    public int insertFsUserRecharge(FsUserRecharge fsUserRecharge);

    /**
     * 修改用户充值
     * 
     * @param fsUserRecharge 用户充值
     * @return 结果
     */
    public int updateFsUserRecharge(FsUserRecharge fsUserRecharge);

    /**
     * 删除用户充值
     * 
     * @param id 用户充值ID
     * @return 结果
     */
    public int deleteFsUserRechargeById(Long id);

    /**
     * 批量删除用户充值
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsUserRechargeByIds(Long[] ids);
}
